package com.heyu.api.data.dao.vv;
/**
* <p>
* 所有数据表 服务类
* </p>
*
* @author quyixiao
* @since 2025-10-20
*/
import com.heyu.api.data.entity.vv.VvCreateDataConfigEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvCreateDataConfigDao extends BaseMapper<VvCreateDataConfigEntity> {


	VvCreateDataConfigEntity selectVvCreateDataConfigById(@Param("id")Long id);


	Long insertVvCreateDataConfig(VvCreateDataConfigEntity vvCreateDataConfig);


	Long insertOrUpdateVvCreateDataConfig(VvCreateDataConfigEntity vvCreateDataConfig);


	int updateVvCreateDataConfigById(VvCreateDataConfigEntity vvCreateDataConfig);


	int updateCoverVvCreateDataConfigById(VvCreateDataConfigEntity vvCreateDataConfig);


	int deleteVvCreateDataConfigById(@Param("id")Long id);


    List<VvCreateDataConfigEntity> selectVvCreateDataConfigByAll();
}